Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236496 - xine-lib: 1.1.5 fails to play dvb tv
Summary: xine-lib: 1.1.5 fails to play dvb tv
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 12:23 UTC by Petr Hrasky
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 16:02:05 UTC


Attachments (Terms of Use)

Description Petr Hrasky 2007-04-15 12:23:45 UTC
Description of problem:

kaffeine stops playing dvb-t tv after upgrade of xine-lib to 1.1.5. With 
xine-lib 1.1.4 it works.

02:19:49 PM: xine: couldn't find demux for >/home/ph/.kaxtv.ts<
02:19:49 PM: xine: found input plugin : file input plugin
02:19:49 PM: video_decoder: no plugin available to handle 'XviD'
02:19:49 PM: xine: found demuxer plugin: AVI/RIFF demux plugin
02:19:49 PM: xine: found input plugin : file input plugin


Version-Release number of selected component (if applicable):

xine-lib-1.1.5-1.fc6

How reproducible:

everytime

Steps to Reproduce:
1. yum update xine-lib to install 1.1.5
2. run kaffeine
3. select dvb channel to play
  
Actual results:

02:19:49 PM: xine: couldn't find demux for >/home/ph/.kaxtv.ts<
02:19:49 PM: xine: found input plugin : file input plugin
02:19:49 PM: video_decoder: no plugin available to handle 'XviD'
02:19:49 PM: xine: found demuxer plugin: AVI/RIFF demux plugin
02:19:49 PM: xine: found input plugin : file input plugin

Expected results:

tv channel playing

Additional info:

Comment 1 Rex Dieter 2007-04-16 13:16:43 UTC
Sorry for the bugzilla pong here, but this is either a xine-lib(1) or a
kernel(2) bug.

(1) kaffeine uses xine-lib (primarily) for media platback
(2) I've seen/heard-of lots of dvb problems wrt recent kernels

Comment 2 Rex Dieter 2007-04-16 13:41:38 UTC
Maybe relevant/related:
http://bugzilla.redhat.com/225007
http://bugs.kde.org/141084



Comment 3 Ville Skyttä 2007-04-16 16:02:05 UTC
As noted in bug 225007, the Fedora xine-lib package does not intentionally have
software MPEG decoding capabilities -> NOTABUG.  If you're using hardware based
MPEG decoding with software included in Fedora to view DVB (eg. a DXR3 card),
feel free to reopen.  Otherwise, this would be better reported to where your
MPEG decoder comes from.


Note You need to log in before you can comment on or make changes to this bug.